### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ConsumedResource

java.lang.Object
com.sas.services.deployment.ConsumedResource

All Implemented Interfaces:
  `ConsumedResourceInterface`, `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class ConsumedResource extends Object implements Cloneable, ConsumedResourceInterface
A service configuration's resource which can be used by a `Consumer`.

Since:
  9.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsumedResource(String resourceID, String resourceName, String resourceType, int resourceTypeCode, String resourceTypeLocalized, boolean isRequired)`
  Constructs a consumed resource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Clones the resource.
  `String`
  `getLocalizedResourceType()`
  Gets a localized value describing the resource's type.
  `String`
  `getLocalizedResourceTypeAndValue()`
  Gets a localized value describing the resource's type and value.
  `String`
  `getResourceID()`
  Gets the id that uniquely identifies the resource within a service's configuration.
  `String`
  `getResourceType()`
  Gets a value describing the resource's type.
  `int`
  `getResourceTypeCode()`
  Gets the code describing the resource's type.
  `String`
  `getResourceValue()`
  Gets the value used to identify the service configuration resource.
  `boolean`
  `isRequired()`
  Determines if this resource is required by the service's configuration.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsumedResource

    public ConsumedResource(String resourceID, String resourceName, String resourceType, int resourceTypeCode, String resourceTypeLocalized, boolean isRequired)
    Constructs a consumed resource.
    Parameters:
      `resourceID` - Unique identifier for a service configuration's resource.
      `resourceName` - Service configuration resource's name.
      `resourceType` - Service configuration resource's type.
      `resourceTypeCode` - Enumeration code for a service configuration resource's type.
      `resourceTypeLocalized` - Localized string representing the service configuration resource's type.
      `isRequired` - `true` if this resource is always required by the service's configuration.

- ## Method Details

  - ### getResourceID

    public String getResourceID()
    Description copied from interface: `ConsumedResourceInterface`
    Gets the id that uniquely identifies the resource within a service's configuration.
    Specified by:
      `getResourceID` in interface `ConsumedResourceInterface`
    Returns:
      Resource's ID.

  - ### getResourceValue

    public String getResourceValue()
    Description copied from interface: `ConsumedResourceInterface`
    Gets the value used to identify the service configuration resource.
    Specified by:
      `getResourceValue` in interface `ConsumedResourceInterface`
    Returns:
      Service configuration resource's value.

  - ### getLocalizedResourceType

    public String getLocalizedResourceType()
    Description copied from interface: `ConsumedResourceInterface`
    Gets a localized value describing the resource's type.
    Specified by:
      `getLocalizedResourceType` in interface `ConsumedResourceInterface`
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be localized values for "Context", "Output", and "Renderer".

  - ### getLocalizedResourceTypeAndValue

    public String getLocalizedResourceTypeAndValue()
    Description copied from interface: `ConsumedResourceInterface`
    Gets a localized value describing the resource's type and value.
    Specified by:
      `getLocalizedResourceTypeAndValue` in interface `ConsumedResourceInterface`
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be localized values for
      - "Context : com.sas.services"
      - "Output : A1"
      - "Renderer: com.sas.MyRenderer"

  - ### getResourceType

    public String getResourceType()
    Description copied from interface: `ConsumedResourceInterface`
    Gets a value describing the resource's type.
    Specified by:
      `getResourceType` in interface `ConsumedResourceInterface`
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be "Context", "Output", and "Renderer".

  - ### getResourceTypeCode

    public int getResourceTypeCode()
    Description copied from interface: `ConsumedResourceInterface`
    Gets the code describing the resource's type.
    Specified by:
      `getResourceTypeCode` in interface `ConsumedResourceInterface`
    Returns:
      Resource's type code.

  - ### isRequired

    public boolean isRequired()
    Description copied from interface: `ConsumedResourceInterface`
    Determines if this resource is required by the service's configuration.
    Specified by:
      `isRequired` in interface `ConsumedResourceInterface`
    Returns:
      `true` if this resource is required by the service's configuration.

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Description copied from interface: `ConsumedResourceInterface`
    Clones the resource.
    Specified by:
      `clone` in interface `ConsumedResourceInterface`
    Overrides:
      `clone` in class `Object`
    Returns:
      Clone of this resource.
    Throws:
      `CloneNotSupportedException`